%define name neon
%define version 0.23.5
%define release 2mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	An HTTP and WebDAV client library, with a C interface.
Group: 		Development/Other
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.webdav.org/neon/
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
neon is an HTTP and WebDAV client library for Unix systems, 
with a C language API. It provides high-level interfaces to 
HTTP/1.1 and WebDAV  methods, and a low-level interface to 
HTTP request/response handling, allowing new methods to be 
easily implemented.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C++
Requires: %{name} = %{version}

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep

%setup -q -n %{name}-%{version}

%configure --with-ssl

%build
%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_mandir/man1/*
%_mandir/man3/*
%_bindir/*
%doc doc/*.txt

%files devel
%defattr(-,root,root)
%doc AUTHORS BUGS NEWS README THANKS 
%{_includedir}/%{name}
%{_libdir}/*

%changelog
* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-2mdk
- remove static Packager tag

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-1mdk
- new version

* Wed Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.21.3-1mdk
- 0.21.3
- enable ssl support

* Fri Nov 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.18.0-1mdk
- release 0.18.0

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.15.3-2mdk
- spec cleanups
- add devel package (rpmlint compliant)

* Sun Jul  1 2001  Daouda Lo <daouda@mandrakesoft.com> 0.15.3-1mdk
- mdk first package


